Bug 241028

Summary: Resume from Suspend does not work on Gateway M255
Product: [Fedora] Fedora Reporter: Jeff Utter <jeffutter>
Component: pm-utilsAssignee: Phil Knirsch <pknirsch>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: opensource, richard, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-13 12:33:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
pm-utils debugged dmesg none

Description Jeff Utter 2007-05-23 14:34:46 EDT
Description of problem:

Resuming from Suspend does not work on a Gateway M255 laptop. Upon pressing the
power button to resume, the fan cicks on and some of the lights light up.
However the screen stays blank and the harddrive seems to never kick in.

Version-Release number of selected component (if applicable):

pm-utils-0.99.3-6.fc7

How reproducible:
Every time i try to resume.

Steps to Reproduce:
1. Suspend laptop either with gnome's button or pm-suspend
2. Press power button to resume
  
Actual results:
Laptop never resumes, fans spin up, lights (wifi/power) turn on, screen stays off.

Expected results:
Should resume to fully working state.

Additional info:
I don't know if it is related but this laptop suspended/resumed with FC6,
however the screen's backlight would be off and i would have to hit the
brightness UP button on my keyboard to get see the screen. This doesn't work in F7

I tried all of the --quirks options to pm-suspend and various combinations of
them without any difference. 

Here is my smolt report:
http://smolt.fedoraproject.org/show?UUID=5ca38507-5e19-47a5-b620-9b12ba742d71

And i am attaching my dmesg output after pm-utils debugging.

Let me know if there is any more info that I could provide to help out.
Comment 1 Jeff Utter 2007-05-23 14:34:46 EDT
Created attachment 155286 [details]
pm-utils debugged dmesg
Comment 2 Jeremy Katz 2007-05-23 20:19:55 EDT
Can you try going through to get the appropriate quirks?
http://people.freedesktop.org/~hughsient/quirk/
Comment 3 Jeff Utter 2007-05-23 20:33:34 EDT
As I said i tried _all_ of the quirks and various combonations that seemd like
they made sense. All of my attempts had the same outcome _unless_ I was doing it
wrong, that website doesn't quite describe how to 'use' the quirks. I was doing
as follows:

pm-suspend --quirk-s3-mode

_or_

pm-suspend --quirk-vbestate-restore --quirk-vbemode-restore

etc.

that is proper usage correct?
Comment 4 Richard Hughes 2007-05-24 07:40:12 EDT
(In reply to comment #3)
> that website doesn't quite describe how to 'use' the quirks.

I'll fix that today.

> that is proper usage correct?

Yes, you're doing it right. Were there any quirks already listed for gateway?

Richard.
Comment 5 Jeff Utter 2007-05-24 22:41:36 EDT
No, there were no gateway quirks listed. I've seen some mention of kernel
arguments. Are those still possible fixes? If so, what might be relevant ones?
Comment 6 Richard Hughes 2007-05-25 04:39:07 EDT
(In reply to comment #5)
> No, there were no gateway quirks listed. I've seen some mention of kernel
> arguments. Are those still possible fixes? If so, what might be relevant ones?

To be honest, you've just got to try all of the combinations of quirks to find
one that works. It's not great that there are no gateway laptops listed,
although I would really appreciate it if you were the first! :-)

Richard.
Comment 7 Jeff Utter 2007-06-09 12:51:10 EDT
Ok, so I've been able to do a little more testing and i've come to find:

Part of the problem is the same as mentioned here: 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241310
and here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240964

It's some problem with the current F7 kernel, 2.6.21-1.3194.fc7 with the latest
f8 kernel: 2.6.21-1.3218.fc8 and the --quirk-s3-bios suspending works _better_
but there are still problems.

Just to be clear wit the F7 kernel and the s3-bios quirk it has the same
behavior as before locking up on resume. With the F8 kernel without the s3-bios
it does not lockup (i can type reboot in tty1 and it will reboot) the display
just never comes up.

With F8 kernel and -s3-bios the display does not turn on initially after resume
... i have to press the brightness up key on my keyboard, this is the same
behavior as with FC6. It's not a major issue, but it woudl be better if it
didn't happen. I've tried nearly every possible combonation of quirks and none
of them seem to make the display come back on on its own.

Now for the bigger problem. Even with the F8 kernel, suspend/resume only works
once. if i suspend/resume/suspend and attempt to resume again, it will lockup as
it did with the F7 kernel.

Let me know if there's any way i can provide more information to get this resolved.
Comment 8 Richard Hughes 2007-06-25 18:33:50 EDT
>i have to press the brightness up key on my keyboard

If you do after resuming:

        for bl in /sys/class/backlight/* ; do
                [ -d $bl ] || continue
                [ -f $bl/brightness ] || continue
                BR=$(cat $bl/brightness)
                echo 0 > $bl/brightness
                echo $BR > $bl/brightness
        done

Does this restore the video? You might have to put this in a script file to
avoid typing this in blind ;-)

>suspend/resume only works once.

How does it fail the second time?

Richard.
Comment 9 Till Maas 2007-09-13 01:40:56 EDT
(In reply to comment #8)

> Does this restore the video? You might have to put this in a script file to
> avoid typing this in blind ;-)

You can use pm-utils --reset-brightness with pm-utils in devel (or soon in
updates-testing) to test this.
Comment 10 Jeff Utter 2007-09-13 11:32:55 EDT
Unfortunately I Can't test this anymore. This laptop's motherboard fried _twice_
and gateway replaced it with a M265 (very similar laptop but it has the 965
chipset instead of the 945 i think) .... With this new laptop suspend/resume
works  very good with 2.6.22.4-65.fc7 
Comment 11 Till Maas 2007-09-13 12:33:31 EDT
Ok, thank you. I close this then, if someone else has a problem with this
notebook, please reopen this bug or file a new one.